Bug 729 - Unreal Tournament 2004 shock rifle lockup
Summary: Unreal Tournament 2004 shock rifle lockup
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/r200 (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: high major
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 814
  Show dependency treegraph
 
Reported: 2004-06-07 12:33 UTC by penguinista
Modified: 2009-08-24 12:22 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description penguinista 2004-06-07 12:33:00 UTC
I'm experiencing a reproducible freeze with UT2004 (patch 3204) and DRI CVS. I
tested versions of DRI cvs checked out on 2004-02-28 and 2004-06-04, as well as
a few precompiled snapshots from June. The game will freeze entirely, with no
backtrace in either gdb or UT2004.log when the shock rifle's primary fire (a
blue beam) is seen in the player's field of vision. This may not always occur on
the first view, but starting the game on any map and firing the shock rifle beam
repetitiously will unfailingly trigger the freeze.

Hardware specs:
Pentium 4, 2.53Ghz
Radeon 8500 128MB

Software:
Debian Linux, unstable (sid) distribution
Comment 1 Adam Jackson 2004-06-08 10:01:36 UTC
mass reassign to dri-devel@, i'm no longer the default component owner.  sorry
for the spam.
Comment 2 penguinista 2004-07-04 21:08:40 UTC
Does anyone have any suggestions and/or patches that might help in debugging 
this problem? I'm still experiencing this issue with DRI CVS as of 2004/07/03. 
There is no backtrace, but I would like to perhaps add some kind of output at 
suspect code paths (kernel log for the DRM and XFree86.0.log for the 
driver/DRI/libGL, if possible). I've already applied the DRM watchdog and the 
soft reset patches, and I am able to run delayed applications after the video 
freezes. I'm hoping that with additional logging I can "alt-sysrq e" (SIGTERM 
all processes, which dumps me to the console with the aforementioned patches) 
and have some useful messages somewhere. 
 
Additional information: 
Linux kernel 2.6.7-mm5 
GCC version 3.4.0 (Debian 3.4.0-4) (previously I was using gcc 3.3) 
DefaultCCOptions in host.def: -ansi -pedantic -pipe -fno-unit-at-a-time 
DefaultGcc2i386Opt in xfree86.cf: -O2 -fno-strength-reduce GccAliasingArgs 
 
DRI CVS installed over XFree86 4.3.0 (Debian version 4.3.0.dfsg.1-5) like so: 
cd /usr/src/cvs/xc/xc 
cp --preserve=timestamps programs/Xserver/XFree86 /usr/X11R6/bin 
cd exports/lib 
find . -type l -exec cp --preserve=timestamps {} /usr/X11R6/lib/{} \; 
 
Comment 3 Roland Scheidegger 2004-07-05 08:52:11 UTC
Just a question for clarification: "with shock rifle's primary fire is seen in
the players' field of vision" you mean other player's rifle beam fire, or will
the lockup also be triggered with your own rifle fire?
Comment 4 penguinista 2004-07-05 11:18:17 UTC
 (In reply to comment #3) 
> Just a question for clarification: "with shock rifle's primary fire is seen 
in 
> the players' field of vision" you mean other player's rifle beam fire, or 
will 
> the lockup also be triggered with your own rifle fire? 
 
As I stated in original report, "starting the game on any map and firing the 
shock rifle beam repetitiously will unfailingly trigger the freeze." It 
doesn't matter whether the effect originates from myself (outgoing) or someone 
else (incoming/observed). 
 
BTW, I received some info from an Urban Terror (Quake3 mod, 
www.urbanterror.net) developer about the issue. He guessed that the shock 
rifle may use an additive blend mode, and that it "creates a whole bunch of 
random 
lightning shaped geometry" which may have problems with their vertex arrays. 
 
I confirmed that there are no issues with the shock rifle in the original 
Unreal Tournament. I also have no problem with the UT2004 shock rifle (or any 
UT2004 problems, aside from very lousy performance) when using ATi's fglrx. 
 
Would some high-res screenshots of the effect help? I can reinstall fglrx and 
take a few. 
 
Comment 5 Maggioni Marcello 2004-09-10 06:23:50 UTC
I have this problem too.

I can't shot with Shock Rifle in UT2004 , or the system will freeze .

Someone have ideas about this?

Marcello
Comment 6 Eric Anholt 2004-10-15 19:02:48 UTC
Believed to be fixed in current CVS.  Please reopen if it's still an issue.
Comment 7 Adam Jackson 2009-08-24 12:22:30 UTC
Mass version move, cvs -> git


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.